<template>
    <div>
        <table class="table table-bordered" id="workorder_tbl" >
            <thead>
            <tr>
                <th>Product Title</th>
                <th> Received Qty </th>
                <th> Unit </th>
                <th> Unit Price </th>
                <th class="text-right"> Sub Total </th>

            </tr>
            </thead>
            <tbody>
            <tr v-for="(product,index) in products">
                <td>{{ product.title }}</td>
                <td>{{ product.quantity }}</td>
                <td>{{ product.unit }}</td>
                <td>{{ product.price }}</td>
                <td class="text-right">{{ product.sub_total }}</td>
            </tr>

            <tr>
                <td colspan="4">
                    <strong>Grand Total</strong>
                </td>
                <td class="text-right"><strong>{{ total}}</strong></td>
            </tr>

            <tr v-for="payment in payments">
                <td colspan="4">
                    <strong class="text-info">Paid on {{ payment.payment_date }}</strong>
                </td>
                <td class="text-right"><strong class="text-info">{{ payment.amount}}</strong></td>
            </tr>
            <tr>
                <td colspan="4">
                    <strong class="text-danger">Due</strong>
                </td>
                <td class="text-right"><strong class="text-danger">{{ total - paid}}</strong></td>
            </tr>

            </tbody>
        </table>
    </div>
</template>

<script>

    export default {

        data: function() {

            return {
                products: [],
                total: 0,
                paid: 0,
                payments: [],
            };
        },

        methods: {
            loadItems: function(id){

                if(!id){
                    this.products = [];
                    return;
                }


                var app =this;
                axios.get('/payment/chalan/items/' + id)
                    .then(response => {
                        app.products = response.data.items;
                        app.paid = response.data.paid ? response.data.paid : 0;
                        app.payments = response.data.payments ? response.data.payments : [];
                        app.calculateTotal();

                    })
                    .catch(e => {
                        this.errors.push(e)
                    });
            },
            calculateTotal: function () {
                this.total = 0;
                for (let i=0; i<this.products.length; i++){
                    this.total += this.products[i].sub_total;
                }

                document.getElementById('totalAmount').value = this.total;
            }

        },
        created: function() {

        },
        mounted() {

        },


    };
</script>